import java.awt.*;
import java.applet.*;
import java.awt.event.*;

//-------------------------------------------------------
//Standardroutinen beruhen auf neuer Technik aus 2002:
//FixMoverN ist kein Thread, ChaosGameN benutzt FixMoverN
//Alle Maschinen benutzen die neue Klasse TCanvas
//-------------------------------------------------------
//-----------Juli 2004 (C) Ulli--------------------------
//-------------------------------------------------------
//----------modifiziert Februar 2005---------------------

class TCanvas extends Canvas
{
  Applet app;

  TCanvas(Applet a)
  {
    app=a;
  }

  public void paint(Graphics g)
  {
    app.repaint();
  }
  
   public void update(Graphics g)
  {
    //nichts
  }
  
  public void clear(Color c)
  {
    Graphics g=getGraphics();
    g.setColor(c);
    g.fillRect(0,0,getSize().width,getSize().height);
  }  

}
